## NAME

i.his.rgb - Hue-intensity-saturation (his) to red-green-blue (rgb) raster map color transformation function.

## KEYWORDS

imagery

## SYNOPSIS

i.his.rgb
i.his.rgb help
i.his.rgb hue_input=string intensity_input=string saturation_input=string red_output=string green_output=string blue_output=string [--overwrite]

### Flags:

--overwrite
  Force overwrite of output files

### Parameters:

hue_input=string
  hue map name
intensity_input=string
  intensity map name
saturation_input=string
  saturation map name
red_output=string
  output map representing the red
green_output=string
  output map representing the green
blue_output=string
  output map representing the blue

## DESCRIPTION

i.his.rgb is an image processing program that processes three input raster map layers as hue, intensity and saturation components and produces three output raster map layers representing the red, green and blue components of this data. The output raster map layers are created by a standard hue-intensity-saturation (his) to red-green-blue (rgb) color transformation. Each output raster map layer is given a linear gray scale color table. The current geographic region and mask settings are respected.

## NOTES

It is not possible to process three bands with i.his.rgb and then exactly recover the original bands with i.rgb.his. This is due to loss of precision because of integer computations and rounding. Tests have shown that more than 70% of the original cell values will be reproduced exactly after transformation in both directions and that 99% will be within plus or minus 1. A few cell values may differ significantly from their original values.

## SEE ALSO

hsv.rgb.sh
i.colors
i.rgb.his
r.colors
rgb.hsv.sh

## AUTHOR

David Satnik, GIS Laboratory, Central Washington University

with acknowledgements to Ali Vali, Univ. of Texas Space Research Center, for the core routine.

Last changed: $Date: 2003/04/17 14:48:52 $

Main index - imagery index - Full index